Subject: Re: fileutils 4.0
From: Bob McGowan <[email-masked]>
To: Andre Oliveira da Costa <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Wed, 15 Dec 1999 10:22:59 -0800

Andre Oliveira da Costa wrote:
> 
> > -----Original Message-----
> > From: Bob McGowan [mailto:[email-masked]]
> > Sent: Wednesday, December 15, 1999 3:49 PM
> > To: Andre Oliveira da Costa
> > Subject: Re: fileutils 4.0
> 
> Hi Bob,
> 
> > Are you using a FAT or an NTFS file system for the build?  FAT does not
> > support hard links.  As I understand it, Cygwin simply copies the file
> > to the new name.  So any test looking for a hard link count might fail.
> > Otherwise, I have no other ideas.
> 
> I'm using NTFS only, no FAT partitions. Are hardlinks supported on NTFS?
> (couldn't find anything on the FAQ -- any of the cygwin-gurus reading this
> thread?). If not, then the tests are indeed supposed to fail.
> 
> Again, thanks for the help.
> 
> Regards,
> 
> Andre

Andre,

I just did a quick check on NTFS vs. FAT and hard links.  It verified
something I heard/read somewhere, that NTFS does support hard links.  On
the FAT partition I have, a hard link does in fact create a copy.  So it
looks like hard link based tests, run in the NTFS formatted area, should
work.

For the moment, I'm out of ideas.  I'll get back to you if I come up
with any other ideas.  Meanwhile, using the 20.1 tools sounds like the
safest bet for the short term.

Bob

> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]